﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;

//The service contract is defined in generatedClient.cs, generated from the service by the svcutil tool.
//Client implementation code.

class Subscriber : IMagazineServiceCallback
{
        static void Main(string[] args)
        {
            // always create an instance context to associate the service with            
            InstanceContext siteHostContext = new InstanceContext(null, new Subscriber());

            MagazineServiceClient myClient = new MagazineServiceClient(siteHostContext);

            // create a unique callback address (if you want multiple subscribers to run on the same machine)
            WSDualHttpBinding binding = (WSDualHttpBinding)myClient.Endpoint.Binding;
            string uniqueCallbackAddress = binding.ClientBaseAddress.AbsoluteUri;

            // make it unique - append a GUID
            uniqueCallbackAddress += Guid.NewGuid().ToString();
            //uniqueCallbackAddress += 9;
            binding.ClientBaseAddress = new Uri(uniqueCallbackAddress);

            // Subcribe
            Console.WriteLine("subscribing...");
            myClient.Subscribe();

            Console.WriteLine();
            Console.WriteLine("Press ENTER to unsubscribe");
            Console.ReadLine();

            Console.WriteLine("unsubscribing...");
            myClient.Unsubscribe();

            // Closes the underlying http connection
            myClient.Close();            
        }

        public void MessageReceived(string linkToNewIssue, string issueNumber, DateTime publishDate)
        {
            Console.WriteLine("MessageRecei(item{0}, item{1}, item{2}", linkToNewIssue, issueNumber, publishDate);
        }
}
