﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;

namespace EventGenerator
{
    class EventGenerator: IMagazineServiceCallback
    {
        static void Main(string[] args)
        {
            // always create an instance context to associate the service with            
            InstanceContext siteHostContext = new InstanceContext(null, new EventGenerator());
            MagazineServiceClient myClient = new MagazineServiceClient(siteHostContext);

            Console.WriteLine("Publishing New Issue(http://www.anujvarma.com, Vol1: Number1, )");
            myClient.PublishMagazine("http://www.anujvarma.com", "Vol1: Issue1", System.DateTime.Now);

            Console.WriteLine();
            Console.WriteLine("Press ENTER to stop publishing events");
            Console.ReadLine();

            //Closing the client gracefully closes the connection and cleans up resources
            myClient.Close();
        }

        public void MessageReceived(string linkToNewIssue, string issueNumber, DateTime publishDate)
        {
            Console.WriteLine("MessageReceived(item{0}, item{1}, item{2}", linkToNewIssue, issueNumber, publishDate);
        }
    }
}
