﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;

[ServiceContract(SessionMode = SessionMode.Required, CallbackContract = typeof(IClientContract))]
public interface IMagazineService
{
    [OperationContract(IsOneWay = false, IsInitiating = true)]
    void PublishMagazine(string hyperLinkToIssue, string issueNumber, DateTime datePublished);
    [OperationContract(IsOneWay = false, IsTerminating = true)]
    void Subscribe();
    [OperationContract(IsOneWay = false, IsTerminating = true)]
    void Unsubscribe();

}

public interface IClientContract
{
    [OperationContract(IsOneWay = true)]
    void MessageReceived(string hyperlinkToNewIssue, string issueNumber, DateTime datePublished);
}

